%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define debug_package %{nil}

Name:           synce-sync-engine
Version:        0.15.1
Release:        15%{?dist}
Summary:        Synce synchronization engine

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.synce.org/
Source0:        http://dl.sourceforge.net/sourceforge/synce/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python2-devel python-setuptools

Requires:  libxml2-python
Requires:  libxslt-python
Requires:  librtfcomp-python
Requires:  pygobject2
Requires:  dbus-python
Requires:  udev
Requires:  python-rra python-rapi

Obsoletes: pywbxml < 0.1
Provides: pywbxml = 0.1

%description
Synce synchronization engine.

%package -n libopensync-plugin-synce-wm5
Group:     System Environment/Libraries
Summary:   Synce plugin for libopensync for WM5+
Requires:  synce-sync-engine = %{version}-%{release}
Requires:  libopensync-plugin-python
Obsoletes: syncekonnector

%description -n libopensync-plugin-synce-wm5
%{summary}

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/opensync/python-plugins/
mv \
 $RPM_BUILD_ROOT%{python_sitelib}/plugins/synce-opensync-plugin-2* \
 $RPM_BUILD_ROOT%{_libdir}/opensync/python-plugins/

rm -fr $RPM_BUILD_ROOT%{python_sitelib}/plugins/

# install the dbus activation service
install -Dpm0644 config/org.synce.SyncEngine.service \
 $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.synce.SyncEngine.service

# spurious doc dir installed by build process
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc/sync-engine

mkdir -p $RPM_BUILD_ROOT%{_datadir}/opensync/defaults/

# make defaults file
cat > $RPM_BUILD_ROOT%{_datadir}/opensync/defaults/synce-opensync-plugin << 'EOF'
<config>
        <contact></contact>
        <todos></todos>
        <calendar></calendar>
        <file>/My Documents/</file>
</config>
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING config/syncengine.conf.xml
%{_bindir}/*py
%{_bindir}/sync-engine
%{python_sitelib}/SyncEngine/
%{python_sitelib}/synce_sync_engine-%{version}-py?.?.egg-info/
%{_datadir}/dbus-1/services/org.synce.SyncEngine.service

%files -n libopensync-plugin-synce-wm5
%defattr(-,root,root,-)
%{_libdir}/opensync/python-plugins/*
%{_datadir}/opensync/defaults/*

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.1-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.1-5
- remove PyXML

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 17 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.15.1-3
- Remove python-sqlite2 dep because it appears to not be used by the code and
  python-sqlite2 is being retired in favor of the sqlite3 module in the stdlib

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 14 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.1-1
- version upgrade

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue May 11 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15-1
- version upgrade

* Wed Aug 05 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-3
- install dbus file (#514639)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-1
- version upgrade

* Tue Jun 16 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13-3
- fix typo (#506352)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13-1
- version upgrade (#457949)
- build arched to fix (#460361)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.11.1-3
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.11.1-2
- Rebuild for Python 2.6

* Wed Jun 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11.1-1
- version upgrade
- drop pywbxml requires

* Mon Jan 21 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-6
- obsolete syncekonnector for clean upgrade path

* Sat Jan 19 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-5
- fix obsoletes

* Fri Jan 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-4
- split opensync plugin
- include a default config.xml in doc

* Sun Jan 13 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-3
- minor cleanups

* Sun Jan 13 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-2
- BR python-setuptools

* Wed Jan 09 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade

* Mon Jan 07 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-0.1.3162svn
- initial version
